Create Call Campaign
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Query Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/campaigns" \ -H "Content-Type: application/json" \ -d '{ "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "from_number_id": "43fb2b95-f14f-45b0-ac09-36a4ed4645d9", "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978", "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "name": "string", "from_number_id": "43fb2b95-f14f-45b0-ac09-36a4ed4645d9", "status": "string", "max_concurrent": 0, "calls_per_minute": 0, "max_attempts": 0, "backoff_base_minutes": 0, "consent_attested": true, "consent_attested_by_id": "bdadecc3-22ed-43b2-9955-be6b209d978f", "consent_attested_at": "2019-08-24T14:15:22Z", "consent_note": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}